Crawlzodocs
API referenceTikTok

TikTok user info

Profile header for one creator, identity, counts, links.

No post feed.

POST
/v1/scrapers/tiktok-user-info-v4

Authorization

ApiKeyAuth
X-API-Key<token>

Your API key. Sent on every request.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/scrapers/tiktok-user-info-v4" \  -H "Content-Type: application/json" \  -d '{    "unique_id": "tiktok"  }'
{  "request_id": "req_8f2c1d94e7b0",  "success": true,  "status": {    "code": "OK",    "message": "Scrape completed.",    "retryable": false  },  "data": {    "itemList": [],    "stats": {      "diggCount": null,      "followerCount": 95354835,      "followingCount": 0,      "heart": 462865863,      "heartCount": 462865863,      "videoCount": 1575    },    "user": {      "UserStoryStatus": 0,      "avatarLarger": "https://p19-common-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/ba67b11de451691939223e9d978e613a~tplv-tiktokx-cropcenter:1080:1080.webp?dr=9640&refresh_token=5bc2d83c&x-expires=1787659200&x-signature=TR5YOS4M8JHUHzHDrpqcbdELr44%3D&t=4d5b0474&ps=13740610&shp=a5d48078&shcp=2472a6c6&idc=useast8",      "avatarMedium": "https://p16-common-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/ba67b11de451691939223e9d978e613a~tplv-tiktokx-cropcenter:720:720.webp?dr=9640&refresh_token=93c57f90&x-expires=1787659200&x-signature=9FlBivXWD8UxHYDRTY91GBCe09U%3D&t=4d5b0474&ps=13740610&shp=a5d48078&shcp=2472a6c6&idc=useast8",      "avatarThumb": "https://p19-common-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/ba67b11de451691939223e9d978e613a~tplv-tiktokx-cropcenter:100:100.webp?dr=9640&refresh_token=b33710b1&x-expires=1787659200&x-signature=BegsFgN61sNl%2Fo%2FGbw1NhUvtqx0%3D&t=4d5b0474&ps=13740610&shp=a5d48078&shcp=2472a6c6&idc=useast8",      "bioLink": {        "link": "linktr.ee/tiktok"      },      "commentSetting": null,      "createTime": 1425144149,      "duetSetting": null,      "ftc": false,      "id": "107955",      "ins_id": "",      "isADVirtual": false,      "isUnderAge18": false,      "nickname": "TikTok",      "openFavorite": false,      "privateAccount": false,      "relation": 0,      "secUid": "MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM",      "secret": false,      "signature": "One TikTok can make a big impact",      "stitchSetting": null,      "twitter_id": "",      "uniqueId": "tiktok",      "verified": true,      "youtube_channel_id": "",      "youtube_channel_title": ""    }  },  "error": null,  "meta": {    "client_id": "client_abc123",    "scraper": "tiktok-user-info-v4",    "billable": true,    "duration_ms": 1003  }}